import { html as h } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var a = Object.defineProperty, u = Object.getOwnPropertyDescriptor, i = (n, e, r, s) => {
  for (var t = s > 1 ? void 0 : s ? u(e, r) : e, c = n.length - 1, p; c >= 0; c--)
    (p = n[c]) && (t = (s ? p(e, r, t) : p(t)) || t);
  return s && t && a(e, r, t), t;
};
let o = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--stop", this.class = "c-pieIcon c-pieIcon--stop", this.name = "IconStop";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" class="c-pieIcon c-pieIcon--stop"><path d="M10.56 3.25H5.44c-1.21 0-2.19.98-2.19 2.19v5.12c0 1.21.98 2.19 2.19 2.19h5.12c1.21 0 2.19-.98 2.19-2.19V5.44c0-1.21-.98-2.19-2.19-2.19m.69 7.31c0 .38-.31.69-.69.69H5.44c-.38 0-.69-.31-.69-.69V5.44c0-.38.31-.69.69-.69h5.12c.38 0 .69.31.69.69z"></path></svg>`;
  }
};
i([
  l({ type: String, reflect: !0 })
], o.prototype, "size", 2);
i([
  l({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = i([
  m("icon-stop")
], o);
export {
  o as IconStop
};
